> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Prompt Booster Price

> Calculate the cost of enhancing a video prompt before execution.



## OpenAPI

````yaml openapi.json POST /api/v1/client/prompt/video/price-calculation
openapi: 3.0.0
info:
  title: deAPI REST API
  description: >-
    Decentralized AI inference API for image generation, video processing, audio
    transcription, and more.
  contact:
    name: deAPI Support
    url: https://deapi.ai
    email: support@deapi.ai
  version: 0.0.1
servers:
  - url: https://api.deapi.ai
    description: Production API Server base URL
security:
  - bearerAuth: []
tags:
  - name: Client API
    description: Endpoints for client operations
paths:
  /api/v1/client/prompt/video/price-calculation:
    post:
      tags:
        - Client API
      description: Calculate the price for enhancing text/image-to-video prompts
      operationId: clientCalculateTextImage2VideoPromptBoosterPrice
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              properties:
                prompt:
                  type: string
                  minLength: 3
                  example: A cinematic video sequence
                negative_prompt:
                  type: string
                  minLength: 3
                  example: blurry, low quality
                  nullable: true
                image:
                  description: >-
                    Optional reference image. Supported formats: JPEG, PNG, BMP,
                    GIF, SVG, WebP.
                  type: string
                  format: binary
                  nullable: true
              type: object
      responses:
        '200':
          description: Price calculation returned successfully
          content:
            application/json:
              schema:
                properties:
                  price:
                    type: number
                    format: float
                    example: 0.00012345
                type: object
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response_error_unprocessable_entity'
      security:
        - bearerAuth: []
components:
  schemas:
    response_error_unprocessable_entity:
      properties:
        data:
          description: Information from success endpoint
          type: object
        message:
          description: Error general message
          type: string
        errors:
          description: Information about errors
          type: array
          items:
            properties:
              field:
                description: Field name
                type: string
              messages:
                description: Array of error messages
                type: array
                items: {}
            type: object
        statusCode:
          description: Status code
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````